﻿@model  CityManager.Models.Production

@{
    ViewBag.Title = "Create";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<h2>Create</h2>

@using (Html.BeginForm())
{
    @Html.AntiForgeryToken()

<div class="form-horizontal">
    <h4>Production</h4>
    <hr />
    @Html.ValidationSummary(true, "", new { @class = "text-danger" })
    <div class="form-group">
        @Html.LabelFor(model => model.resourceIn, htmlAttributes: new { @class = "control-label col-md-2" })
        <div class="col-md-10">
            @Html.DropDownList("resourceIn", new SelectList(ViewBag.Resources, "Type", "Type"))
            @Html.ValidationMessageFor(model => model.resourceIn, "", new { @class = "text-danger" })
        </div>
    </div>

    <partial name="ListResource" />

    <div class="form-group">
        @Html.LabelFor(model => model.resourceOut, htmlAttributes: new { @class = "control-label col-md-2" })
        <div class="col-md-10">
            @Html.DropDownList("resourceOut", new SelectList(ViewBag.Resources, "Type", "Type"))
            @Html.ValidationMessageFor(model => model.resourceOut, "", new { @class = "text-danger" })
        </div>
    </div>

    <div class="form-group">
        <div class="col-md-offset-2 col-md-10">
            <input type="submit" value="Create" class="btn btn-default" />
        </div>
    </div>
</div>
}

<div>
    @Html.ActionLink("Back to List", "Index")
</div>

@section Scripts {
    @Scripts.Render("~/bundles/jqueryval")
}